| Home | Libraries | People | FAQ | More

## Struct template inplace_bit_subtract

boost::icl::inplace_bit_subtract

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_bit_subtract :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_bit_subtract< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_bit_subtract` public member functions

1.     void operator()(Type & object, const Type & operand) const;